org.firebirdsql.jdbc.metadata

## Class DbMetadataMediator.MetadataQuery

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.DbMetadataMediator.MetadataQuery

Enclosing class:
  DbMetadataMediator

    @InternalApi
    public static class DbMetadataMediator.MetadataQuery
    extends java.lang.Object

Holder class for query text and parameters.

### Constructor Summary

Constructors
Constructor and Description
`MetadataQuery(java.lang.String queryText, java.util.List<java.lang.String> parameters)` Creates a query whose prepared form may be cached.
`MetadataQuery(java.lang.String queryText, java.util.List<java.lang.String> parameters, boolean standalone)` Creates a query.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getParameters()`
`java.lang.String` `getQueryText()`
`boolean` `isStandalone()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetadataQuery

    public MetadataQuery(java.lang.String queryText,
                         java.util.List<java.lang.String> parameters)

Creates a query whose prepared form may be cached.

Parameters:
  `queryText` - Query text
  `parameters` - Parameters for query (possibly empty)

#### MetadataQuery

    public MetadataQuery(java.lang.String queryText,
                         java.util.List<java.lang.String> parameters,
                         boolean standalone)

Creates a query.

Parameters:
  `queryText` - Query text
  `parameters` - Parameters for query (possibly empty)
  `standalone` - `true` if the query to be executed is a standalone query (should not be cached and be closed asap)

### Method Detail

#### getQueryText

    public java.lang.String getQueryText()

#### getParameters

    public java.util.List<java.lang.String> getParameters()

#### isStandalone

    public boolean isStandalone()

Returns:
  `false` if the query can be reused and can be cached, `false` if the query should not be reused and should be closed as soon as possible